# Set Theory Calculator API

> For the complete documentation index, see [llms.txt](/llms.txt).

Perform common finite set operations.

Use this endpoint to add the tool to your app, site, workflow, or agent without rebuilding formulas, validation, examples, and docs.

- Slug: `set-theory-calculator`
- Category: `math`
- Version: `2026-04-22`
- Credits per successful call: 1
- Starts on: free
- Max payload: 65536 bytes
- Privacy mode: `no_body_logs`
- Available on: free, starter, pro, business, scale
- Browser tool: https://miniwebtool.com/set-theory-calculator/

## Endpoint

`POST https://api.miniwebtool.com/v1/tools/set-theory-calculator/run`

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `set_a` | `str` | no |  |
| `set_b` | `str` | no |  |
| `set_c` | `str` | no |  |
| `universal_set` | `str` | no |  |
| `operation` | `str` | no | all | union | intersection | difference | symmetric_difference | cartesian_product | power_set | complement | is_subset Choices: all, union, intersection, difference, symmetric_difference, cartesian_product, power_set, complement, is_subset |

## Example request

```json
{}
```

## cURL

```bash
curl -X POST https://api.miniwebtool.com/v1/tools/set-theory-calculator/run \
  -H 'Authorization: Bearer mwt_live_YOUR_KEY' \
  -H 'Content-Type: application/json' \
  -d '{}'
```

## Response envelope

```json
{
  "request_id": "01K...",
  "tool": "set-theory-calculator",
  "tool_version": "2026-04-22",
  "credits_used": 1,
  "result": {}
}
```

## Errors

Errors are RFC 7807 `application/problem+json`. Branch on `code`, not `title`.

## MCP

Agents can discover and call this tool through `https://api.miniwebtool.com/mcp` or `https://api.miniwebtool.com/v1/mcp` using MCP `tools/list` and `tools/call`.

## Frequently asked

### What does the Set Theory Calculator API do?

Perform common finite set operations. Use it to add this utility without rebuilding formulas, validation, examples, and documentation.

### How much does one call cost?

1 credit per successful call. Failed calls do not bill.

### What parameters are required?

Required fields: (none). Full schema at `https://api.miniwebtool.com/v1/openapi.json`.

### Is this deterministic?

Yes. Same input, same output. Tool version: 2026-04-22.
